Subject: bug#70141: 30.0.50; cl--class-allparents throws error for ebdb-field-pgp

From: Andrea Corallo <[email-masked]>
Date: Wed, 03 Apr 2024 16:45:34 -0400

Andrea Corallo <[email-masked]> writes:

> Robert Pluim <[email-masked]> writes:
>
>> Just for fun I tried enabling the native compiler, and keep running
>> into the following error with my config (-Q is fine).
>>
>> Iʼve tried reinstalling key-chord and ebdb, but thatʼs made no difference.
>>
>> I know nothing about eieio, but the defclass for ebdb-field-pgp has a
>> superclass:
>>
>>     (defclass ebdb-field-pgp (ebdb-field-user)
>
> Hi Robert,
>
> could you provide a reproducer we can use to look into it?
>
> Thanks
>
>   Andrea

We should not crash but that said thinking about it...  I don't think
the compiler should reason about classes at all, as they are redefinable
at runtime.  On the contrary structs are (at least in CL) considered not
re-definable at runtime so it's fine.

  Andrea